Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 16682)
+++ extensions/Autosize/js/Affiche_script.js	(revision 16931)
@@ -1682,339 +958,346 @@
                          "Info left: " + infos.left + "\n" +
                          "Info position: " + infos.position + "\n";
-        myDebug = { id: "Debug" + index, texte: message,
-          css: {
-            color: "black",
-            opacity: "0.5",
-            position: "absolute",
-            height: infos.height || 100 + "px",
-            width: infos.width || 300 + "px",
-            left: infos.left || 0 + "px",
-            border: "solid 1px green",
-            top: infos.top + "px"
-          }
+    myDebug = { id: "Debug" + index, texte: message,
+      css: {
+        color: "black",
+        opacity: "0.5",
+        position: "absolute",
+        height: infos.height || 100 + "px",
+        width: infos.width || 300 + "px",
+        left: infos.left || 0 + "px",
+        border: "solid 1px green",
+        top: infos.top + "px"
+      }
+    }
+    return myDebug;
+  } else {
+    if (typeof old_messages == "undefined") {
+      old_messages = new Array();
+
+    }
+    if (infos != "" && infos != "undefined") {
+      nc0 = old_messages[index];
+
+      if (typeof nc0 != "undefined") {
+        nc0 = old_messages[index].toString().split("<br />");
+        if (nc0.length > 3) nc0.shift();
+
+        old_messages[index] = nc0.join("<br />");
+      }
+      old_messages[index] += " : " + nom + " -- > " + infos + "<br />";
+
+      message = browser.browser + old_messages[index];
+
+      myDebug = { id: "Debug" + index, texte: message,
+        css: {
+          color: "black",
+          opacity: "1.0",
+          position: "absolute",
+          align: "left",
+          height: 100 + "px",
+          width: 800 + "px",
+          left: 300 + "px",
+          border: "solid 1px green",
+          top: 0 + "px"
         }
-        return myDebug;
-      } else {
-        if (typeof old_messages == "undefined") {
-          old_messages = new Array();
-
-        }
-        if (infos != "" && infos != "undefined") {
-          nc0 = old_messages[index];
-
-          if (typeof nc0 != "undefined") {
-            nc0 = old_messages[index].toString().split("<br />");
-            if (nc0.length > 3) nc0.shift();
-
-            old_messages[index] = nc0.join("<br />");
-          }
-          old_messages[index] += " : " + nom + " -- > " + infos + "<br />";
-
-          message = browser.browser + old_messages[index];
-
-          myDebug = { id: "Debug" + index, texte: message,
-            css: {
-              color: "black",
-              opacity: "1.0",
-              position: "absolute",
-              align: "left",
-              height: 100 + "px",
-              width: 800 + "px",
-              left: 300 + "px",
-              border: "solid 1px green",
-              top: 0 + "px"
-            }
-          }
-        }
-
-        return myDebug;
-      }
-
-
-    }
+      }
+    }
+
+    return myDebug;
+  }
+
+
+}
+//====================================================
+function Debug_pos() {
+  return;
+  if (DEBUG_autosize == "true") {
+
+    jQuery("[id ^='Debug']").show();
+    /*
+    Debug2  background-color:yellow
+    Debug3 background-color:blue
+    Debug4 background-color:green
+    Debug5 background-color:red
+
+    */
+
+    affiche_debug({
+      Debug1: Debug_info(1, Bandeau_t, "Bandeau_t"),
+      Debug4: Debug_info(4, infos_description, "infos_description"),
+      Debug5: Debug_info(5, infos_theMainImage, "infos_theMainImage")
+    });
+  }
+}
+//==========================================================
+affiche_debug = function (aff_infos) {
+  jQuery(jQuery("[id ^='Debug']")).each(function (i) {
+    if (aff_infos[this.id]) {
+      if (aff_infos[this.id].css) {
+        jQuery("#" + this.id).css(aff_infos[this.id].css);
+        jQuery("#" + this.id).html(aff_infos[this.id].texte);
+      }
+    }
+  });
+  return;
+}
+//===========================================
+//
+//===========================================
+Set_Map = function (nds) {
+  p0 = jQuery("#map").position();
+  if (!p0) return;
+
+  infos_map = jQuery("#map").infos();
+  // if (infos_map.width == (Zone_image.container.width - p0.left))   return ;
+  nds = jQuery("#imageInfos").css("display");
+  if (nds != "none") {
+    p2 = jQuery("#infoSwitcher").infos();
+    p0.left += 35;
+  }
+  jQuery("#map").width(Zone_image.container.width - p0.left);
+  jQuery("#map").css({ position: "absolute", height: Zone_image.container.height + "px" });
+}
+
+jQuery("map [name='mapAutosize'] area").mouseover(function (e) {
+  return;
+});
+//=====================================
+//
+//=====================================
+theImage_init = function (Obj) {
+  if (jQuery("#derivativeSwitchBox").length > 0) {
+    id3 = jQuery("#derivativeCheckedAutosize");
+    var pi = jQuery("#derivativeSwitchBox > span ");
+    var px = jQuery(".derivativeSizeDetails ");
+    i = 0;
+    n = 0;
+    var pt = new Array();
+    jQuery("#derivativeSwitchBox a").each(function (i) {
+      href_path = jQuery(this).attr("href");
+      if (href_path.match(RegExp("auto", "gi"))) return true;
+      pt[i] = href_path.split("'");
+    });
+    Calcul_Image();
+    tw = Zone_image.container.width;
+    th = Zone_image.container.height;
+    n = 0;
+    jQuery(".derivativeSizeDetails").each(function (i) {
+      vn = jQuery(this).text().replace("(", "").replace(")", "").split("x");
+      h0 = parseInt(vn[1]);
+      w0 = parseInt(vn[0])
+      if (h0 > th) {
+        n = i;
+        return false;
+      }
+      if (w0 > tw) {
+        n = i;
+        return false;
+      }
+      n++;
+    });
+    if (n > pt.length - 1) n = pt.length - 1; // format le plus grand
+    if (n < 0) n = 0; // format le plus grand
+    imgSrc = pt[n][1];
+    last_map = pt[n][5];
+    var theImg = document.getElementById(theMainImage_Id.replace("#", ""));
+    if (theImg.useMap.match(RegExp("map", "gi"))) return;
+    if (theImg.src.match(RegExp(imgSrc, "gi"))) return;
+
+    href_path = "javascript:changeImgSrc('" + imgSrc + "', '" + last_map + "', '" + "#Autosize" + "')";
+    jQuery("#linkAutosize").attr("href", href_path);
+    changeImgSrc(imgSrc, last_map, "#Autosize");
+  }
+  return false;
+
+};
+
+//===============================================================
+//  Fonctions générales
+//===============================================================
+Set_llbgo = function (Force) {
+  if (Force)
+    if (typeof LlgboFr_Resize == "function") LlgboFr_Resize();
+  // if (typeof updateXY != "function")      return;
+  maps = jQuery("map[name^='map']");
+  maps = jQuery("map[name='Autosize']");
+  if (maps.length == 0) return;
+
+  nom_map = 'Autosize';
+  // nom_map = maps[0].name;
+  maps = jQuery("map[name='" + nom_map + "']  area");
+
+
+  nb_zone = maps.length;
+  infos_theMainImage = jQuery(theMainImage_Id).infos();          // Image 
+  var Largeur_zone = (infos_theMainImage.width / nb_zone);
+  var Hauteur_zone = (infos_theMainImage.height);
+  var init_zone = 0;
+  j = 0;
+  maps.each(function (e) {
+    init_zone = Largeur_zone * j;
+    rel = jQuery(this).attr("rel");
+    title = jQuery(this).attr("title");
+    alt = jQuery(this).attr("alt");
+    H = Hauteur_zone;
+    if (rel == "up") {
+      H = Hauteur_zone / 4;
+    }
+    coord = { x0: init_zone, y0: 0, x1: Math.ceil(init_zone + Largeur_zone), y1: Hauteur_zone };
+    jQuery(this).attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
+    j++;
+  });
+
+  return;
+}
+
+/*************************************************
+* correction pamoorama
+*************************************************/
+Set_Pamoorama = function () {
+  if (Type_Img == "pamoorama") {
+    if (typeof myPamoorama == "undefined") {
+      return;
+    }
+
+    Calcul_Image();
+    infos_pamoorama = jQuery("#pamoorama").infos();
+    infos_pamoorama_outter = jQuery("#pamoorama_outter").infos();
+    infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+    infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+    infos_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+    infos_frame = jQuery(myPamoorama.frame).infos();
+
+
     //====================================================
-    function Debug_pos() {
-      return;
-      if (DEBUG_autosize == "true") {
-
-        jQuery("[id ^='Debug']").show();
-        /*
-        Debug2  background-color:yellow
-        Debug3 background-color:blue
-        Debug4 background-color:green
-        Debug5 background-color:red
-
-        */
-
-        affiche_debug({
-          Debug1: Debug_info(1, Bandeau_t, "Bandeau_t"),
-          Debug4: Debug_info(4, infos_description, "infos_description"),
-          Debug5: Debug_info(5, infos_img, "infos_img")
-        });
-      }
-    }
-    //==========================================================
-    affiche_debug = function (aff_infos) {
-      jQuery(jQuery("[id ^='Debug']")).each(function (i) {
-        if (aff_infos[this.id]) {
-          if (aff_infos[this.id].css) {
-            jQuery("#" + this.id).css(aff_infos[this.id].css);
-            jQuery("#" + this.id).html(aff_infos[this.id].texte);
-          }
-        }
-      });
-      return;
-    }
-    //===========================================
-    //
-    //===========================================
-    Set_Map = function (nds) {
-      p0 = jQuery("#map").position();
-      if (!p0) return;
-
-      infos_map = jQuery("#map").infos();
-      // if (infos_map.width == (Zone_image.container.width - p0.left))   return ;
-      nds = jQuery("#imageInfos").css("display");
-      if (nds != "none") {
-        p2 = jQuery("#infoSwitcher").infos();
-        p0.left += 35;
-      }
-      jQuery("#map").width(Zone_image.container.width - p0.left);
-      jQuery("#map").css({ position: "absolute", height: Zone_image.container.height + "px" });
-    }
-    //=====================================
-    //
-    //=====================================
-    theImage_init = function (Obj) {
-      if (jQuery("#derivativeSwitchBox").length > 0) {
-        id3 = jQuery("#derivativeCheckedAutosize");
-
-
-        var pi = jQuery("#derivativeSwitchBox > span ");
-        var px = jQuery(".derivativeSizeDetails ");
-
-        i = 0;
-        n = 0;
-        var pt = new Array();
-        jQuery("#derivativeSwitchBox a").each(function (i) {
-          href_path = jQuery(this).attr("href");
-          if (href_path.match(RegExp("auto", "gi"))) return true;
-          pt[i] = href_path.split("'");
-        });
-
-        th = jQuery(window).height();
-        tw = jQuery(window).width();
-
-        th = infos_body.height;
-        tw = infos_body.width;
-        infos_imageInfos
-
-        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
-        n0 = 0;
-        n1 = 0;
-        t0 = 0;
-        tw = Zone_image.container.width;
-        th = Zone_image.container.height;
-        n = 0;
-
-        jQuery(".derivativeSizeDetails").each(function (i) {
-          vn = jQuery(this).text().replace("(", "").replace(")", "").split("x");
-          h0 = parseInt(vn[1]);
-          w0 = parseInt(vn[0])
-          if (h0 > th) {
-            n = i;
-            return false;
-          }
-          if (w0 > tw) {
-            n = i;
-            return false;
-          }
-          n++;
-        });
-        if (n > pt.length - 1) n = pt.length - 1; // format le plus grand
-        if (n < 0) n = 0; // format le plus grand
-        id_en_cours = pt[n][1];
-        last_map = pt[n][5];
-        var theImg = document.getElementById("theMainImage");
-        if (id3.length > 0) {
-          if (theImg.useMap.match(RegExp("map", "gi"))) return true;
-              changeImgSrc(id_en_cours, last_map, "Autosize");
-        } else {
-          new_html = '<br /><span class="switchCheck" id="derivativeCheckedAutosize" style="visibility:hidden" >&#x2714; </span>';
-          new_html += '<a href="javascript:changeImgSrc(\'' + id_en_cours + '\', \'' + last_map + '\', \'Autosize\') ">';
-          new_html += 'Autosize<span class="derivativeSizeDetails"> - Autosize</span>  </a>';
-          jQuery("#derivativeSwitchBox br:last").before(new_html);
-
-          theImg.useMap = typeMap;
-          if (theImg.useMap.match(RegExp("map", "gi"))) {
-            return true
-          };
-          jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-          jQuery('#derivativeCheckedAutosize').css('visibility', 'visible');
-
-          if (theImg) {
-            theImg.removeAttribute("width");
-            theImg.removeAttribute("height");
-            theImg.src = id_en_cours;
-            theImg.useMap = "Autosize";
-            return true;
-          }
-        }
-
-      }
-      return true;
-
-    };
-
-    //===============================================================
-    //  Fonctions générales
-    //===============================================================
-
-
-    /*************************************************
-    * correction pamoorama
-    *************************************************/
-    Set_Pamoorama = function () {
-      if (Type_Img == "pamoorama") {
-        if (typeof myPamoorama == "undefined") {
-          return;
-        }
-
-        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
-        infos_pamoorama = jQuery("#pamoorama").infos();
-        infos_pamoorama_outter = jQuery("#pamoorama_outter").infos();
-        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-        infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
-        infos_pamoorama_frame = jQuery("#pamoorama_frame").infos();
-        infos_frame = jQuery(myPamoorama.frame).infos();
-
-
-        //====================================================
-        jQuery("#pamoorama").css({
-          marginLeft: "auto",
-          marginRight: "auto"
-          //  height: Zone_Affichage.height + "px" , sinon déclenchement panorama sur la hauteur;
-        });
-
-        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-        infos_pamoorama = jQuery("#pamoorama").infos();
-
-
-
-
-        marges_w = infos_pamoorama.borderwidth.left +
+    jQuery("#pamoorama").css({
+      marginLeft: "auto",
+      marginRight: "auto"
+      //  height: Zone_Affichage.height + "px" , sinon déclenchement panorama sur la hauteur;
+    });
+
+    infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+    infos_pamoorama = jQuery("#pamoorama").infos();
+
+
+
+
+    marges_w = infos_pamoorama.borderwidth.left +
                           infos_pamoorama.margin.left +
                           infos_pamoorama.borderwidth.right +
                           infos_pamoorama.margin.right;
 
-        marges_h = 10 +
+    marges_h = 10 +
                           infos_pamoorama.borderwidth.top +
                           infos_pamoorama.margin.top +
                           infos_pamoorama.borderwidth.bottom +
                           infos_pamoorama.margin.bottom;
-        marges_h += infos_pamoorama_footer.borderwidth.top +
+    marges_h += infos_pamoorama_footer.borderwidth.top +
                           infos_pamoorama_footer.margin.top +
                           infos_pamoorama_footer.borderwidth.bottom +
                           infos_pamoorama_footer.margin.bottom;
 
-        jQuery("#pamoorama").css({
-          width: ""
-        });
-
-        outter_height = Zone_image.container.height - infos_pamoorama_footer.height - marges_h;
-        Zoom_pano = outter_height / Zone_image.height_init;
-
-        new_image = { height: Math.ceil(Zone_image.height_init * Zoom_pano),
-          width: Math.ceil(Zone_image.width_init * Zoom_pano)
-        }
-
-        jQuery("#pamoorama_inner").css({ width: new_image.width, height: new_image.height, "background-size": "100%"
-        });
-
-        //  jQuery("#pamoorama_inner").width(Zone_image.width_init * Zoom_pano);
-        //  jQuery("#pamoorama_inner").height(Zone_image.height_init * Zoom_pano);
-
-
-        //---------- test largeur image 
-        new_width = Zone_image.container.width;
-        if (new_width > new_image.width) {
-          new_width = new_image.width;
-          jQuery("#pamoorama_outter").css({
-            position: 'absolute',
-            align: "center",
-            margin: "auto"
-          });
-        }
-        outter_width = new_width;
-
-
-        //  jQuery("#pamoorama_thumb").width(200 /  Zone_image.zoom);
-
-        jQuery("#pamoorama_outter").css({
-
-          align: 'center',
-          margin: 'auto',
-          width: outter_width + "px",
-          height: outter_height + "px"
-        });
-        //============= Mise à l'echelle ==================
-        jQuery("#pamoorama_footer").css({
-          width: Zone_image.container.width + "px"
-        });
-
-        window.myPamoorama.options.width = Math.ceil(Zone_image.container.width);
-        //==================================================================
-        new_max_left = new_image.width - outter_width;
-        //   jQuery(window.myPamoorama.inner).width(Zone_image.width_init* Zoom_pano);
-        //    jQuery(window.myPamoorama.inner).height(Zone_image.height_init * Zoom_pano);
-
-
-        window.myPamoorama.outter.scrollTo(new_max_left, 0);
-
-        window.myPamoorama.autoScrollFx.to = new Array(new_max_left, 0);
-        window.myPamoorama.ratio = Math.ceil(new_image.width / 200);
-        window.myPamoorama.imageWidth = new_image.width;
-        window.myPamoorama.imageHeight = new_image.height;
-        nf = jQuery("#pamoorama_thumb").height();
-        jQuery("#pamoorama_thumb img").width(200);
-        jQuery("#pamoorama_thumb img").height(nf);
-        // 200=window.myPamoorama.width 
-        // frame = Zone_image.container.width
-
-        nw = (window.myPamoorama.image.width * Zone_image.container.width) / window.myPamoorama.imageWidth;
-        jQuery("#pamoorama_frame").width(nw);
-        jQuery("#pamoorama").css({
-        width:"auto",height:"auto"
+    jQuery("#pamoorama").css({
+      width: ""
+    });
+
+    outter_height = Zone_image.container.height - infos_pamoorama_footer.height - marges_h;
+    Zoom_pano = outter_height / Zone_image.height_init;
+
+    new_image = { height: Math.ceil(Zone_image.height_init * Zoom_pano),
+      width: Math.ceil(Zone_image.width_init * Zoom_pano)
+    }
+
+    jQuery("#pamoorama_inner").css({ width: new_image.width, height: new_image.height, "background-size": "100%"
+    });
+
+    //  jQuery("#pamoorama_inner").width(Zone_image.width_init * Zoom_pano);
+    //  jQuery("#pamoorama_inner").height(Zone_image.height_init * Zoom_pano);
+
+
+    //---------- test largeur image 
+    new_width = Zone_image.container.width;
+    if (new_width > new_image.width) {
+      new_width = new_image.width;
+      jQuery("#pamoorama_outter").css({
+        position: 'absolute',
+        align: "center",
+        margin: "auto"
       });
-
-      } // test img
-    } // Set_Pamoorama
-    /*********************************************************/
-
-    Toggle_bp = function () {
-      cl_visible = !cl_visible;
-      Autosize_resize();
-      Wait_Affichage();
-      set_cl();
-    }
-    //====================================
-    // 
-    //====================================
-    set_cl = function () {
-      if (typeof cl_visible == "undefined") return;
-      if (typeof src1 == "undefined") return;
-
-      if (cl_visible) src = src1;
-      else src = src2;
-
-      if (cl_visible) {
-        src_info = src3;
-        src_infos_1 = src3;
-      }
-      else {
-        src_info = src4;
-        src_infos_1 = src5;
-      }
-
+    }
+    outter_width = new_width;
+
+
+    //  jQuery("#pamoorama_thumb").width(200 /  Zone_image.zoom);
+
+    jQuery("#pamoorama_outter").css({
+
+      align: 'center',
+      margin: 'auto',
+      width: outter_width + "px",
+      height: outter_height + "px"
+    });
+    //============= Mise à l'echelle ==================
+    jQuery("#pamoorama_footer").css({
+      width: Zone_image.container.width + "px"
+    });
+
+    window.myPamoorama.options.width = Math.ceil(Zone_image.container.width);
+    //==================================================================
+    new_max_left = new_image.width - outter_width;
+    //   jQuery(window.myPamoorama.inner).width(Zone_image.width_init* Zoom_pano);
+    //    jQuery(window.myPamoorama.inner).height(Zone_image.height_init * Zoom_pano);
+
+
+    window.myPamoorama.outter.scrollTo(new_max_left, 0);
+
+    window.myPamoorama.autoScrollFx.to = new Array(new_max_left, 0);
+    window.myPamoorama.ratio = Math.ceil(new_image.width / 200);
+    window.myPamoorama.imageWidth = new_image.width;
+    window.myPamoorama.imageHeight = new_image.height;
+    nf = jQuery("#pamoorama_thumb").height();
+    jQuery("#pamoorama_thumb img").width(200);
+    jQuery("#pamoorama_thumb img").height(nf);
+    // 200=window.myPamoorama.width 
+    // frame = Zone_image.container.width
+
+    nw = (window.myPamoorama.image.width * Zone_image.container.width) / window.myPamoorama.imageWidth;
+    jQuery("#pamoorama_frame").width(nw);
+    jQuery("#pamoorama").css({
+      width: "auto", height: "auto"
+    });
+
+  } // test img
+} // Set_Pamoorama
+/*********************************************************/
+
+Toggle_bp = function () {
+  options.cl_visible = !options.cl_visible;
+  Autosize_resize();
+  Wait_Affichage();
+
+}
+//====================================
+// 
+//====================================
+set_cl = function (Valid) {
+  if (typeof Valid == "undefined") Valid = options.useMap.match(RegExp("Autosize", "gi")) || false;
+
+  if (typeof options.cl_visible == "undefined") return;
+  if (typeof src1 == "undefined") return;
+
+  if (options.cl_visible) src = src1;
+  else src = src2;
+
+  if (options.cl_visible) {
+    src_info = src3;
+    src_infos_1 = src3;
+  }
+  else {
+    src_info = src4;
+    src_infos_1 = src5;
+  }
+  if (Valid) {
+    if (typeof Zone_image.image != "undefined") {
       Zone_image.zoom = (Zone_image.image.height / Zone_image.height_init);
       zoom_cl = parseInt(100 * Zone_image.zoom);
